cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rajeshbatt...@apache.org
Subject [03/12] git commit: updated refs/heads/master to ea09c04
Date Fri, 27 Dec 2013 09:48:42 GMT
CLOUDSTACK-5520 CLOUDSTACK-5418 Script errors seen when trying to seed the 64 bit Xenserver
templates.


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/bd639bf1
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/bd639bf1
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/bd639bf1

Branch: refs/heads/master
Commit: bd639bf145b06436d326cd27a52dbac6cd69daa2
Parents: 18fd015
Author: Rajesh Battala <rajesh.battala@citrix.com>
Authored: Wed Dec 18 15:32:39 2013 +0530
Committer: Rajesh Battala <rajesh.battala@citrix.com>
Committed: Fri Dec 27 14:46:55 2013 +0530

----------------------------------------------------------------------
 scripts/storage/secondary/createtmplt.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/bd639bf1/scripts/storage/secondary/createtmplt.sh
----------------------------------------------------------------------
diff --git a/scripts/storage/secondary/createtmplt.sh b/scripts/storage/secondary/createtmplt.sh
index 05874b4..6b31232 100755
--- a/scripts/storage/secondary/createtmplt.sh
+++ b/scripts/storage/secondary/createtmplt.sh
@@ -174,7 +174,7 @@ isCifs() {
    #then check if the template file is from cifs using df -P filename
    #Currently only cifs is supported in hyperv zone.
    mount | grep "type cifs" > /dev/null
-   return $?
+   echo $?
 }
 
 if [ "$tflag$nflag$fflag$sflag" != "1111" ]
@@ -204,7 +204,7 @@ rollback_if_needed $tmpltfs $? "tar archives not supported\n"
 
 if [ ${tmpltname%.vhd} != ${tmpltname} ]
 then
-  if [ isCifs -ne 0 ] ;
+  if [ $(isCifs) -ne 0 ] ;
   then
       if  which  vhd-util &>/dev/null
       then


Mime
View raw message